Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 5)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 14, 15, 16 ... 19, 20, 21  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Thu Mar 31, 2011 9:40 pm    Post subject: Reply with quote

This is what failed here. More details here. http://pastebin.com/rx4Rz40h
Code:


 * The following 12 packages have failed to build or install:
 *
 *  (kde-base/svgpart-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/svgpart-4.6.9999/temp/build.log'
 *  (kde-base/kdebase-wallpapers-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/kdebase-wallpapers-4.6.9999/temp/build.log'
 *  (kde-base/libkexiv2-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/libkexiv2-4.6.9999/temp/build.log'
 *  (kde-base/libkipi-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/libkipi-4.6.9999/temp/build.log'
 *  (kde-base/kcolorchooser-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/kcolorchooser-4.6.9999/temp/build.log'
 *  (kde-base/libkdcraw-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/libkdcraw-4.6.9999/temp/build.log'
 *  (kde-base/kolourpaint-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/kolourpaint-4.6.9999/temp/build.log'
 *  (kde-base/ksnapshot-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/ksnapshot-4.6.9999/temp/build.log'
 *  (kde-base/okular-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/okular-4.6.9999/temp/build.log'
 *  (kde-base/gwenview-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/gwenview-4.6.9999/temp/build.log'
 *  (kde-base/pykde4-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/pykde4-4.6.9999/temp/build.log'
 *  (kde-base/plasma-workspace-4.6.9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/kde-base/plasma-workspace-4.6.9999/temp/build.log'
 *

_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
Earthwings
Bodhisattva
Bodhisattva


Joined: 14 Apr 2003
Posts: 7753
Location: Karlsruhe, Germany

PostPosted: Sun Apr 03, 2011 9:59 pm    Post subject: Reply with quote

kde-edu has just moved to git. Expect some breakage.

Edit: Url changed from kde-edu to kdeedu.
_________________
KDE


Last edited by Earthwings on Mon Apr 04, 2011 9:30 pm; edited 1 time in total
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7108
Location: Austria

PostPosted: Mon Apr 04, 2011 8:54 pm    Post subject: Reply with quote

kde-base/*-4.6.2 is building in these very seconds... :)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
ToeiRei
Veteran
Veteran


Joined: 03 Jan 2005
Posts: 1173
Location: Austria

PostPosted: Tue Apr 05, 2011 7:10 am    Post subject: Reply with quote

got an unmask/keywording file for 4.6.2?
_________________
Please stand by - The mailer daemon is busy burning your messages in hell...
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7108
Location: Austria

PostPosted: Tue Apr 05, 2011 7:12 am    Post subject: Reply with quote

I'm using /var/lib/layman/kde/Documentation/package.unmask/kde-4.6
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Herring42
Guru
Guru


Joined: 10 Mar 2004
Posts: 373
Location: Buckinghamshire

PostPosted: Tue Apr 05, 2011 8:40 am    Post subject: Reply with quote

Hmmm.

I'm getting an error trying to build pykde4:

Code:
-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/pykde4-4.6.2/work/pykde4-4.6.2_build
>>> Source configured.
>>> Compiling source in /var/tmp/portage/kde-base/pykde4-4.6.2/work/pykde4-4.6.2 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/pykde4-4.6.2/work/pykde4-4.6.2_build"
make -j5
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/pykde4-4.6.2

>>> Install pykde4-4.6.2 into /var/tmp/portage/kde-base/pykde4-4.6.2/image/ category kde-base
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/pykde4-4.6.2/work/pykde4-4.6.2_build"
make -j5 DESTDIR=/var/tmp/portage/kde-base/pykde4-4.6.2/image/ install
make: *** No rule to make target `install'.  Stop.
emake failed
 * ERROR: kde-base/pykde4-4.6.2 failed (install phase):
 *   died running make install, base_src_install
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_install
 *   environment, line 6816:  Called kde4-meta_src_install
 *   environment, line 4249:  Called kde4-base_src_install
 *   environment, line 3854:  Called cmake-utils_src_install
 *   environment, line 1943:  Called _execute_optionaly 'src_install'
 *   environment, line  892:  Called enable_cmake-utils_src_install
 *   environment, line 2267:  Called base_src_install
 *   environment, line 1594:  Called die
 * The specific snippet of code:
 *       emake DESTDIR="${D}" "$@" install || die "died running make install, $FUNCNAME";


Anyone have any clues?
_________________
"The problem with quotes on the internet is that it is difficult
to determine whether or not they are genuine." -- Abraham Lincoln
Back to top
View user's profile Send private message
Biert
n00b
n00b


Joined: 14 Sep 2006
Posts: 45
Location: The Netherlands

PostPosted: Tue Apr 05, 2011 1:45 pm    Post subject: Reply with quote

libkworkspace-4.6.2 keeps failing with a bad checksum on kdebase-workspace-4.6.2.tar.bz2. Anyone else having that problem?
_________________
http://www.last.fm/user/Biert/
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7108
Location: Austria

PostPosted: Tue Apr 05, 2011 4:00 pm    Post subject: Reply with quote

Nope, built fine (pykde4 as well). Re-Sync?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Biert
n00b
n00b


Joined: 14 Sep 2006
Posts: 45
Location: The Netherlands

PostPosted: Tue Apr 05, 2011 4:24 pm    Post subject: Reply with quote

genstorm wrote:
Nope, built fine (pykde4 as well). Re-Sync?

I've done layman -S about a thousand times but that hasn't helped :P Maybe the mirror where I got my distfiles cocked up? It's not letting me download anything 4.6.2 at all now.
_________________
http://www.last.fm/user/Biert/
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Tue Apr 05, 2011 6:54 pm    Post subject: Reply with quote

Biert wrote:
libkworkspace-4.6.2 keeps failing with a bad checksum on kdebase-workspace-4.6.2.tar.bz2. Anyone else having that problem?


I have the same problem. Seem like the tarballs have been released by mistake and contain several bugs. So until tomorrow (tentative release date) we only can wait.
Back to top
View user's profile Send private message
Biert
n00b
n00b


Joined: 14 Sep 2006
Posts: 45
Location: The Netherlands

PostPosted: Wed Apr 06, 2011 12:16 pm    Post subject: Reply with quote

Packages are available now, but fetch fails on kdegraphics-4.6.2.tar.bz2 for kde-base/libkexiv2-4.6.2
_________________
http://www.last.fm/user/Biert/
Back to top
View user's profile Send private message
MrEntropy
n00b
n00b


Joined: 03 Nov 2005
Posts: 74
Location: Austin

PostPosted: Thu Apr 07, 2011 11:40 am    Post subject: Reply with quote

Biert wrote:
Packages are available now, but fetch fails on kdegraphics-4.6.2.tar.bz2 for kde-base/libkexiv2-4.6.2


I just re-sync'ed and libkexiv2 fetched and installed (which it wasn't doing yesterday).
Back to top
View user's profile Send private message
aTan
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jan 2007
Posts: 134
Location: Czech Republic (Ukraine)

PostPosted: Wed Apr 13, 2011 9:38 pm    Post subject: Reply with quote

any release date for kde-pim-4.5.95 tarballs?
Back to top
View user's profile Send private message
Biert
n00b
n00b


Joined: 14 Sep 2006
Posts: 45
Location: The Netherlands

PostPosted: Thu Apr 14, 2011 9:14 pm    Post subject: Reply with quote

aTan wrote:
any release date for kde-pim-4.5.95 tarballs?

"Probably tomorrow"
_________________
http://www.last.fm/user/Biert/
Back to top
View user's profile Send private message
Loko123
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2011
Posts: 91

PostPosted: Thu May 05, 2011 5:50 am    Post subject: KDE-9999 Problems Reply with quote

Hey buddies!

I've tried to emerge kde-meta-9999 but two packages are going to fail because of
"/var/tmp/portage/kde-base/parley-9999/temp/environment: line 1343: pushd: /var/tmp/portage/kde-base/parley-9999/work/parley-9999_build: No such file or directory" and "Makefile not found. Error during configure stage." So the first package is parley and the second package is kstars. Kstars fails with the error message: "/var/tmp/portage/kde-base/kstars-9999/temp/environment: line 1355: pushd: /var/tmp/portage/kde-base/kstars-9999/work/kstars-9999_build: No such file or directory" and "Makefile not found. Error during configure stage.".

Devs, could you please these two "bugs"? upstream?

Yours faithfully,

Loko123
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Thu May 05, 2011 8:46 am    Post subject: Reply with quote

They seem to have problems with git migration of kdeedu that upstream has not yet resolved. This is the reason of delay of 4.6.3 and yours problems.

[I'm not a dev, just was reading kde release team today ;) ]
Back to top
View user's profile Send private message
Loko123
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2011
Posts: 91

PostPosted: Fri May 06, 2011 7:24 pm    Post subject: Reply with quote

Lustmored wrote:
They seem to have problems with git migration of kdeedu that upstream has not yet resolved. This is the reason of delay of 4.6.3 and yours problems.

[I'm not a dev, just was reading kde release team today ;) ]


Ah I see. Thank you very much for the information, however KDE 4.6.3 was just released today, and the 'bug'? was not removed. Hm.. I'll wait until tomorrow and give emerge a shot again. I hope that its going to work.

Loko 123
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri May 06, 2011 9:53 pm    Post subject: Reply with quote

They've released old revision from SVN instead of fixing git :x that's why you cannot compile still.
Back to top
View user's profile Send private message
Loko123
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2011
Posts: 91

PostPosted: Tue May 10, 2011 6:01 am    Post subject: Reply with quote

Lustmored wrote:
They've released old revision from SVN instead of fixing git :x that's why you cannot compile still.


Is there any way to contact the KDE devs? I've tried to contact them in #kde but they said, that the problem lies with gentoos overlay (But I think that this is absolutely bullshit - the problem lies with their GIT-migration).

I think the only solution for me is... Patience and much time. :-D

Loko123
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Tue May 10, 2011 11:13 pm    Post subject: Reply with quote

That's the hazard of using live ebuild :wink:
Back to top
View user's profile Send private message
Dorsai!
Apprentice
Apprentice


Joined: 27 Jul 2008
Posts: 276
Location: Bavaria

PostPosted: Tue May 24, 2011 10:35 pm    Post subject: Reply with quote

Whats about this stuff:

Code:
[ebuild  NS    ] kde-base/kde-env-4.6.80 [4.6.3] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
[uninstall     ] kde-base/kde-env-4.6.3  USE="(-aqua) (-kdeenablefinal) (-kdeprefix)"  [0]
[blocks b      ] kde-base/kde-env:4.6[-kdeprefix] ("kde-base/kde-env:4.6[-kdeprefix]" is blocking kde-base/kde-env-4.6.80)
....
[ebuild  NS    ] kde-base/oxygen-icons-4.6.80 [4.6.3-r1] USE="(-aqua) -bindist (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
[uninstall     ] kde-base/oxygen-icons-4.6.3-r1  USE="(-aqua) -bindist (-kdeenablefinal) (-kdeprefix)"  [0]
[blocks b      ] kde-base/oxygen-icons:4.6[-kdeprefix] ("kde-base/oxygen-icons:4.6[-kdeprefix]" is blocking kde-base/oxygen-icons-4.6.80)


Is it save to emerge if I want to use 4.6.3?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7108
Location: Austria

PostPosted: Wed May 25, 2011 5:04 am    Post subject: Reply with quote

No point in mixing 4.7 with 4.6 stuff, or is there?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Dorsai!
Apprentice
Apprentice


Joined: 27 Jul 2008
Posts: 276
Location: Bavaria

PostPosted: Wed May 25, 2011 11:54 am    Post subject: Reply with quote

Well, until now it always was practice to not unmask unreleased kde stuff in the overlay, so I thought this few 4.6.80 packages contain some sort of fix for some sort of super critical bug I am not aware of.

If this is not the case then, why is it unmasked?
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Wed May 25, 2011 1:08 pm    Post subject: Reply with quote

Anybody successful with at least going through configure stage of anything from kdebase-runtime (4.6.80)?

[EDIT]
Got it!
In kde4-meta.eclass:
extractlist+=" $(__list_needed_subdirectories) ${topdir}config-runtime.h.cmake"
for kde-runtime does wonders :)
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Wed May 25, 2011 9:47 pm    Post subject: Reply with quote

I can't install nepomuk-4.6.80. Fails with this strange error:

-- Configuring done
-- Generating done
-- Build files have been written to: /home/portage/portage/kde-base/nepomuk-4.6.80/work/nepomuk-4.6.80_build
>>> Working in BUILD_DIR: "/home/portage/portage/kde-base/nepomuk-4.6.80/work/nepomuk-4.6.80_build"
>>> Working in BUILD_DIR: "/home/portage/portage/kde-base/nepomuk-4.6.80/work/nepomuk-4.6.80_build"
make: *** No rule to make target `install'. Stop.

I have tried modifiying the eclass with previous hint with no luck. Any ideas?

[edit] With the new update works again. Thanks
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 14, 15, 16 ... 19, 20, 21  Next
Page 15 of 21

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum